Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.groups
Class GroupServiceConfiguration

    java.lang.Object
      org.jasig.portal.groups.GroupServiceConfiguration

    public class GroupServiceConfiguration

extends java.lang.Object

Parses service descriptions found in the file found at SERVICES_XML. The elements of each service are stored in a ComponentGroupServiceDescriptor.

Version:
  $Revision: 1.11 $
Author:
  Dan Ellentuck

Nested Class Summary
`(package private) class` | `GroupServiceConfiguration.GroupConfigurationHandler`

Field Summary
`private java.util.Map` | `attributes`
`private static GroupServiceConfiguration` | `configuration`
`private static org.apache.commons.logging.Log` | `log`
`private java.util.List` | `serviceDescriptors`
`private GroupServiceConfiguration.GroupConfigurationHandler` | `serviceHandler`
`private static java.lang.String` | `SERVICES_XML`

Constructor Summary
`GroupServiceConfiguration()`

Method Summary
`protected void` | `debugMessage(java.lang.String msg)` Deprecated. see comment inside method
`java.util.Map` | `getAttributes()`
`static GroupServiceConfiguration` | `getConfiguration()`
`java.lang.String` | `getDefaultService()`
`java.lang.String` | `getNodeSeparator()`
`java.util.List` | `getServiceDescriptors()`
`protected void` | `infoMessage(java.lang.String msg)` Deprecated. see comment inside method
`protected void` | `parseAttributes(org.xml.sax.Attributes atts)`
`protected void` | `parseXml()`
`static void` | `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### SERVICES_XML

    private static java.lang.String SERVICES_XML

### configuration

    private static GroupServiceConfiguration configuration

### serviceHandler

    private GroupServiceConfiguration.GroupConfigurationHandler serviceHandler

### serviceDescriptors

    private java.util.List serviceDescriptors

### attributes

    private java.util.Map attributes

Constructor Detail

### GroupServiceConfiguration

    public GroupServiceConfiguration()

Method Detail

### debugMessage

    protected void debugMessage(java.lang.String msg)

  Deprecated. see comment inside method

  Record a message at "Debug" level.

### getAttributes

    public java.util.Map getAttributes()

### getConfiguration

    public static GroupServiceConfiguration getConfiguration()
                                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getDefaultService

    public java.lang.String getDefaultService()

### getNodeSeparator

    public java.lang.String getNodeSeparator()

### getServiceDescriptors

    public java.util.List getServiceDescriptors()

### infoMessage

    protected void infoMessage(java.lang.String msg)

  Deprecated. see comment inside method

  Record a message at "info" level.

### parseAttributes

    protected void parseAttributes(org.xml.sax.Attributes atts)

### parseXml

    protected void parseXml()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### reset

    public static void reset()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD